# Method: systemapks.variants.download

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/download#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/download#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/download#body.request_body)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/download#body.response_body)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/download#body.aspect)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/systemapks.variants/download#try-it)

Downloads a previously created system APK which is suitable for inclusion in a system image.

### HTTP request

`GET https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/systemApks/{versionCode}/variants/{variantId}:download`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `versionCode` | `string (https://developers.google.com/discovery/v1/type-format format)` The version code of the App Bundle. |
| `variantId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of a previously created system APK variant. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`